blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
691c82419b8a163915a77906ae4ef46481a1aa35 | Shell | arakaki-tokyo/logoca | /container_run.sh | UTF-8 | 167 | 2.875 | 3 | [] | no_license | #!/bin/bash
if [ ! $1 ]; then
NAME=a1
else
NAME=$1
fi
docker run -dit --name $NAME \
--restart=always \
-v $PWD/src:/usr/share/nginx/html \
nginx:stable-alpine
| true |
22b7bdd6a59d1157c1592691ed506f88357f133a | Shell | micgro42/dotfiles | /zsh/.shell_aliases | UTF-8 | 3,322 | 3.203125 | 3 | [] | no_license | #!/usr/bin/env zsh
if command -v lsd &> /dev/null
then
alias ls=lsd
else
alias ls='ls --color=tty'
fi
alias rm='rm -iv'
alias mv='mv -iv'
alias cp='cp -iv'
alias ln='ln -i'
alias ll='ls -lhaF'
alias lt='ls -lhatr'
alias l.='ls -d .*'
alias mkdir='mkdir -pv'
alias wget='wget -Nc'
alias cal="cal -mw"
alias gr... | true |
8f2e645f012cd4656f04164f96813620e16c0c4d | Shell | zhou199604/nubia | /cxll.sh | UTF-8 | 569 | 2.546875 | 3 | [] | no_license | cat > /root/cxll <<'GOST'
python /usr/local/SSR-Bash-Python/show_flow.py > /root/cx.txt
a=`sed -n '2p' /root/cx.txt | grep -Eo '[0-9]+MB' | grep -Eo '[0-9]+'`
b=`sed -n '3p' /root/cx.txt | grep -Eo '[0-9]+MB' | grep -Eo '[0-9]+'`
c=`sed -n '4p' /root/cx.txt | grep -Eo '[0-9]+MB' | grep -Eo '[0-9]+'`
let "b+=$a"
let "b+... | true |
46ac7aee3dab998140176065bcff0373ef1b533a | Shell | Ketrel/scripts-and-scriptlets | /dotfiles/.alias | UTF-8 | 419 | 2.78125 | 3 | [] | no_license | #!/bin/sh
# Aliases for navigation sharing
alias cdw='cd $(cat "${HOME}/pwd-working")'
alias cds='cd $(cat "${HOME}/pwd-share")'
# Aliases for apt
alias sau='sudo apt update'
alias saug='sudo apt upgrade'
alias sai='sudo apt install'
alias ali='apt list --installed'
alias alu='apt list --upgradable'
# Alias for opti... | true |
2884a0e2c3a8dd673a9ce4dbec4057fc8d83da67 | Shell | statdivlab/rre_sims | /sdl-rre/scripts/test_grid.sh | UTF-8 | 216 | 2.59375 | 3 | [] | no_license | #!/bin/sh
# index the lines
# PARAMS=$(sed -n ${LINE}p nb_biglambda_grid.txt)
PARAMS=$(sed -n 5p nb_biglambda_grid.txt)
# run the simulator script
echo "Rscript nb-03-biglambdagrid-input-c-r-nsim-ncores ${PARAMS}"
| true |
cf3e87d6ba2fc19b7579c947062c05162175862f | Shell | b1glord/ispconfig_setup_extra | /centos7/hhvm/askquestions.sh | UTF-8 | 297 | 2.953125 | 3 | [] | no_license | if [[ ! "$CFG_HHVM" =~ $RE ]]; then
if (whiptail --title "HHVM" --backtitle "$WT_BACKTITLE" --nocancel --radiolist "Do you want to install HHVM (Hip Hop Virtual Machine) as PHP engine?" 10 50 2 "no" "(default)" ON "yes" "" OFF 3>&1 1>&2 2>&3) then
CFG_HHVM=yes
else
CFG_HHVM=no
fi
fi
| true |
e7e68911596fe8940afb103fe2242f9eb7e441a5 | Shell | carlosjulioperez/bash | /launch-sqldeveloper.sh | UTF-8 | 862 | 3.6875 | 4 | [] | no_license | #!/bin/bash
#JAVA_HOME=/usr/lib/jvm/java-8-oracle
JAVA_HOME=/opt/java-jdk/jdk1.8.0_161
SQLD_HOME=/usr/share/sqldeveloper
# Launch Oracle's startup script asynchronously
env JAVA_HOME=$JAVA_HOME $SQLD_HOME/sqldeveloper.sh $* &
i="0"
while [ $i -lt 20 ]
do
# Try to get SQL Developer window ID
WIN_ID=$(xwininfo -root -... | true |
d1fb04d8a702b66a93baa9962c2f62c27851db0e | Shell | pronvis/stm32_drawing_robot | /build_and_load.sh | UTF-8 | 960 | 3.65625 | 4 | [] | no_license | #!/bin/bash
arguments_count=$#
cargo_addition=""
if [ "$1" == '-e' ] || [ "$1" == '--example' ]; then
if [ $arguments_count != 3 ]; then
echo "should be 3 arguments, but you provide only" $arguments_count
exit 1
fi
example_name=$2
cargo_addition='--example '$example_name
elf_file=$CARGO_TARGET_DIR'/thumbv7... | true |
f1e59d1765e63b2e5ade282588d0c7c7e0718b78 | Shell | johncobb/avr_328p_blinky | /setup.sh | UTF-8 | 398 | 3.015625 | 3 | [] | no_license | #!/bin/bash
if [[ "$OSTYPE" == "linux-gnu"* ]]; then
echo "Linux detected."
sudo apt install gcc-avr avr-libc avrdude
elif [[ "$OSTYPE" == "darwin"* ]]; then
echo "MacOS detected."
echo "Installing osx-cross/avr..."
brew tap osx-cross/avr
brew install avr-gcc
echo "Installing avrdude..."
#brew instal... | true |
b25b9ec3b2fa7581f7fe1b2b1e202c1f95c91ba8 | Shell | openbsd/src | /regress/sys/ffs/tests/rmdir/12.t | UTF-8 | 384 | 2.828125 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
# $FreeBSD: src/tools/regression/fstest/tests/rmdir/12.t,v 1.1 2007/01/17 01:42:11 pjd Exp $
desc="rmdir returns EINVAL if the last component of the path is '.' or '..'"
n0=`namegen`
n1=`namegen`
expect 0 mkdir ${n0} 0755
expect 0 mkdir ${n0}/${n1} 0755
expect EINVAL rmdir ${n0}/${n1}/.
expect EINVAL rmdir... | true |
0249cc65375f0beaedd55d4dd0431099d6090133 | Shell | sunminghong/autoinstall-mongodb-shard-repsets | /start/initmongos.sh | UTF-8 | 629 | 2.640625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
source set.sh
#confjs="${mongosdir}/conf.js"
#mongo_cmd="docker exec -it ${mongosname} mongo "
mongos_host=127.0.0.1
echo "
db = connect('${mongos_host}:${mongos_port}/admin');
db.getSiblingDB('admin');
sh.addShard('shard1/${host1}:${shard1_port},${host2}:${shard1_port},${host3}:${shard1_port}')
sh.addS... | true |
10b1a6ad5086232e05bccac702906b18aa3e84c6 | Shell | steven-sortable/git-ls | /git-ls | UTF-8 | 2,208 | 4.21875 | 4 | [] | no_license | #!/bin/bash
usage(){
echo 'Usage: git ls [-h | --help] [-b | --batch | -c | --color] [-a | --all] [[--] directory]'
}
dotfiles=0
colors=1
formatting=1
while :
do
case "$1" in
--help|-h)
usage
exit 0
;;
-a|-A|-all)
shift
dotfiles=1
;;
-c|-C|--colo... | true |
3a1ed9dbc4b20cbbf9b9c2af9aad01c7177728de | Shell | andrekulpin/meta5 | /mocha.sh | UTF-8 | 135 | 2.875 | 3 | [] | no_license | #!/bin/bash
export NODE_PATH=$NODE_PATH:.
if [ -z $1 ];
then mocha --recursive --bail tests;
else
mocha --recursive --bail $1;
fi;
| true |
6755d0f29579311926124000f3d1eb51608118d1 | Shell | andreaswachowski/dotfiles | /.config/bash/bashrc.host.macbook2021 | UTF-8 | 2,415 | 3.03125 | 3 | [] | no_license | # vi: filetype=sh
# bashrc might be sourced for non-interactive shells, in particular scp,
# see http://lists.gnu.org/archive/html/bug-bash/2012-06/msg00028.html
# scp breaks when it encounters output, so all echos etc. must be avoided,
# and explicitly only happen when in interactive mode
#
# I also put aliases and a... | true |
537e99f22a0ff3e987994f72e273baf7d6001492 | Shell | liuhb86/leetcode | /shell/194 Transpose File.sh | UTF-8 | 299 | 2.828125 | 3 | [] | no_license | # copied
# Read from the file file.txt and print its transposed content to stdout.
awk '{for(i=1;i<=NF;i++){array[NR][i]=$i;}} END{for (col=1; col <=NF; col++) {for (row=1; row <= NR; row++) {if (row==NR){printf("%s", array[row][col]);}else {printf ("%s ",array[row][col])}}printf "\n";}}' file.txt
| true |
79358b79105386ca0c7cea7ba6030b9c74767776 | Shell | praveen4g0/plumbing-psi | /post-install.sh | UTF-8 | 2,198 | 3.546875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
export AWS_PROFILE=${AWS_PROFILE:-"aws-pipelines"}
CLUSTER_NAME=$1
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"
DOMAIN=$(jq -r '.base_domain' "cluster/$CLUSTER_NAME/terraform.tfvars.json")
NETWORK=$(jq -r '."*installconfig.InstallConfig".config.platform.openstack.externalNetwork' "cluster/$CLUSTE... | true |
3767cbb1048eee27e57abe413c2a7efe6de5433b | Shell | gaithoben/android-libtdjson | /build_td_abi.sh | UTF-8 | 863 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash -e
__DIR__="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
if [ -z "$ANDROID_NDK_HOME" ]; then
>&2 echo "ANDROID_NDK_HOME not set"
exit 2
fi
if [ -z "$1" ]; then
exit 2
fi
abi=$1
mkdir -p $__DIR__/build/td/$abi
cd $__DIR__/build/td/$abi
OPENSSL_ROOT_DIR="$__DIR__/openssl"
OPENSSL_CRYP... | true |
1297b7922f7833741900c158b8ff0a3613777f69 | Shell | zapling/dotfiles | /setup.sh | UTF-8 | 468 | 3.734375 | 4 | [] | no_license | #!/usr/bin/bash
if ! type "git" > /dev/null; then
pacman -Sy --needed git
fi
if [[ ! -d ~/dotfiles ]]; then
git clone git@github.com:zapling/dotfiles.git ~/dotfiles
fi
echo "You are about to run a bunch of scripts, are you sure?"
read -p "Press any key to continue" -n 1
for setup_step in ~/dotfiles/setup/st... | true |
425bb56aebacd9f9b3dbe8e1b56546a244acb3a8 | Shell | xfnw/shoxf | /whois | UTF-8 | 187 | 2.625 | 3 | [] | no_license | #!/bin/bash
for fn in $@; do
echo "scanning $fn"
echo "Starting WHOIS $fn" | tee -a "index/$fn.txt"
whois $fn | grep 'Abuse\|abuse\|NetName\|descr:\|Org' | tee -a "index/$fn.txt"
done
| true |
63c3821ac22552f6cfba58cb9246ff1433fa6c8c | Shell | vncloudsco/Documentation | /scripts/OpenStack-Queens-No-HA/UbuntuScriptsQueens/viewlog.sh | UTF-8 | 614 | 2.703125 | 3 | [
"MIT"
] | permissive |
#!/bin/bash
# rapid CLI oneliner log inspection inside all log files
# Lookig for keywords "fail", "error", "unable", "warning".
# Ref: https://raw.githubusercontent.com/AJNOURI/COA/master/misc/oneliner_log_inspection.sh
#################################################### GUIDE####################
# Go lenh voi cac ... | true |
1451e7a89e05f44b6e63241e60092fcf0f7bab54 | Shell | rayje/Stor | /tools/util.sh | UTF-8 | 243 | 2.890625 | 3 | [] | no_license | #!/bin/sh
get_ips() {
if [ ! -d ".tmp" ]; then
mkdir -p .tmp
fi
euca-describe-instances | grep ami-00000200 | awk '{print $4}' > .tmp/ips
echo >> .tmp/ips
echo ".tmp/ips"
}
list_inst() {
euca-describe-instances | grep ami-00000200
} | true |
db184278e7df73e1d7b5e8518f5b4284d5f5996c | Shell | conjurdemos/cdemo | /conjurDemo/roles/conjurConfig/files/conjur_cli_image/apiInteraction/utils.sh | UTF-8 | 4,643 | 3.75 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
function pause(){
read -p "$*"
}
function urlify(){
local str=$1; shift
str=$(echo $str | sed 's= =%20=g')
str=$(echo $str | sed 's=/=%2F=g')
str=$(echo $str | sed 's=:=%3A=g')
URLIFIED=$str
}
function menu(){
PS3='Please enter your choice: '
options=("Jenkins" "Webapp" "Tomcat" "Ansible"... | true |
16ebb940228fc75241731d8c4ed8a792bdd9a090 | Shell | fortibase/proxmox-dab-templates | /scripts/install-postgresql.sh | UTF-8 | 810 | 3.515625 | 4 | [] | no_license | #!/bin/bash
# Installs requested version of PostgreSQL for requested Ubuntu version. Allows connection to PG from anywhere.
VERSION=$1
BASEDIR=$(dab basedir)
UBUNTUVERSION=$(dab exec lsb_release -c -s)
echo $UBUNTUVERSION
echo "deb http://apt.postgresql.org/pub/repos/apt/ $UBUNTUVERSION-pgdg main" | tee $BASEDIR/et... | true |
e02ec280249d5377c153422ca28b9f778a9b826e | Shell | akosela/civicrm-drupal | /install.sh | UTF-8 | 17,963 | 3.109375 | 3 | [] | no_license | #!/bin/sh
# Copyright (c) 2018 Andy Kosela. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# notice, this list of condition... | true |
e4da8e6aa1191dd270fba9689b67f22de7de8dfa | Shell | LuCh1Monster/ShellDemos | /ch_06/demo06_15.sh | UTF-8 | 138 | 3.34375 | 3 | [] | no_license | #!/bin/bash
if [ ! -e $1 ]
then
echo "No such file."
exit
fi
[ -f $1 ] && echo "The file exists."
(echo; cat $1; exit 1)
exit 0
| true |
6ec9761c58b1e611972413ce95f1c6d53d5f8662 | Shell | tomsiwek/wspolsysob | /skrypty/s2.sh | UTF-8 | 80 | 2.59375 | 3 | [] | no_license | #!/bin/bash
for f in *; do echo $f; done
for i in $(seq 1 10); do echo $i; done
| true |
70a0bb64b559859d2c2c7cd8169f11bf616a77ed | Shell | msrivastav13/Dreamforce2018Demo | /scripts/generatePkgXML.sh | UTF-8 | 579 | 3.15625 | 3 | [] | no_license | #!/bin/bash
if [ $# -lt 1 ]
then
echo Usage: generatepkgXML.sh orgalias packageName
exit
fi
## Retrieve the PackageXML from Unmanaged Container
sfdx force:mdapi:retrieve -s -r ./mdapipkg -u $1 -p "$2" # Retrieve Metadata API Source from Package Name
unzip -o -qq ./mdapipkg/unpackaged.zip -d ./mdapipkg # Unz... | true |
d2ea915fadf98554c6122e4420997245be3d510a | Shell | vtardia/docker-php | /prod | UTF-8 | 1,031 | 3.75 | 4 | [] | no_license | #!/bin/bash
path=$0
if [[ -L $0 ]]; then
path=$(readlink $0)
fi
DIR="$(cd "$(dirname "$path")" && pwd)"
if [ $# == 0 ]; then
echo "Usage: ./prod <start|stop|logs>"
exit 1
fi
if [ $1 == "start" ]; then
echo "Starting..."
WEB_VERSION=$(if [ -f web.version ]; then cat $DIR/build/web.version; fi) \
... | true |
186f5f6d22c6827d39f192cfe51a60fb1d2900c4 | Shell | uileyar/scrapy_cl | /cltest/start.sh | UTF-8 | 449 | 2.953125 | 3 | [] | no_license | #! /bin/bash
start_cl() {
echo "start_cl"
scrapyd --pidfile /data/scrapy/scrapyd.pid -l /var/log/scrapyd/scrapyd.log &
sleep 10
curl http://localhost:6800/schedule.json -d project=cltest -d spider=cl
echo "done."
}
retry_cl() {
echo "retry_cl"
curl http://localhost:6800/schedule.json -d p... | true |
671199ca32118060a2ec10b75fa54984afbc6121 | Shell | ryanj/vagrant-origin | /release/release.sh | UTF-8 | 1,785 | 4.09375 | 4 | [] | no_license | #!/usr/bin/env bash
#
# Maintainer: Jorge Morales <jmorales@redhat.com>
#
# Package a box for uploading into Atlas as an OpenShift Origin all-in-one release
#
# $1 : Origin version
# $2 : Public host name
__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
__previous="$(cd $__dir/.. && pwd)"
help() {
echo "This ... | true |
3e613bc154682f3dadeb38a6558899d7a0dd9fdb | Shell | Artimirche6/Shell-Programming | /Selection-Statement/compareNumMinMax.sh | UTF-8 | 797 | 3.546875 | 4 | [] | no_license | #!/bin/bash -x
digit1=$(((RANDOM%899)+100))
digit2=$(((RANDOM%899)+100))
digit3=$(((RANDOM%899)+100))
if [ $digit1 -gt $digit2 ] && [ $digit1 -gt $digit3 ]
then
echo "$digit1 is greater than $digit2 and $digit3"
Max=$digit1
else
if [ $digit2 -gt $digit3 ]
then
echo "$digit2 is greater than $digit... | true |
984ff93b95805dfeb767db9549be18615eca0375 | Shell | BabylonSix/web | /sj/sjb.sh | UTF-8 | 2,273 | 3.78125 | 4 | [] | no_license | sjb() {
# branch simple javascript project
sjLogic() {
if [[ $# -lt 3 ]]; then # when less than 3 arguments are entered
case $# in
'0') # for zero arguments
sjError.CantBranch
;;
'1') # for one arguments
if [[ $1 = . ]]; then # if a . is entered as an argument
# throw a branching error
s... | true |
f5892649f028722f0d4e7bc087eeec6416ea7362 | Shell | daleghent/openbmc | /meta-facebook/meta-bletchley/recipes-bletchley/board-type-checker/files/board-type-checker-fpb | UTF-8 | 2,466 | 3.796875 | 4 | [
"MIT",
"Apache-2.0"
] | permissive | #!/bin/bash
add_i2c_device()
{
local I2C_BUS=$1
local DEV_ADDR=$2
local DEVICE_COMP=$3
local I2C_BUS_DIR="/sys/bus/i2c/devices/i2c-$I2C_BUS"
local NEW_DEVIVE="$I2C_BUS_DIR/new_device"
echo "$DEVICE_COMP" "$DEV_ADDR" > "$NEW_DEVIVE"
}
delete_i2c_device()
{
local I2C_BUS=$1
local DEV_AD... | true |
2414720567de522fb018a29a99c6e20270679222 | Shell | dashpole/allocatable | /scripts/run_binary.sh | UTF-8 | 784 | 3.875 | 4 | [] | no_license | #!/bin/sh
set +e
echo "starting shell script"
cleanup ()
{
if ! sudo rm $BINARY; then
echo "failed sudo rm $BINARY"
fi
exit 0
}
# cd into directory that lets us create and execute binaries
if ! cd /var/lib/kubelet; then
echo "failed cd /var/lib/kubelet"
exit 0
fi
# create the file
if ! sudo touch $BINARY; t... | true |
32b57cfdeaf5606f7c3b9eb65efab54fc9e7cb9c | Shell | apache/zookeeper | /zookeeper-contrib/zookeeper-contrib-zkpython/src/test/run_tests.sh | UTF-8 | 1,630 | 3.46875 | 3 | [
"Apache-2.0",
"BSD-3-Clause",
"MIT"
] | permissive | #!/bin/sh
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); ... | true |
f0777428a52bd84902b8d525067917576afeacba | Shell | it2media/scripts | /Bash/docker_cleanup.sh | UTF-8 | 6,024 | 3.953125 | 4 | [] | no_license | #!/usr/bin/env bash
#
# Removes old stopped docker container
#######################################
# Check if this is a running docker container with that entrypoint name
# Arguments:
# $1: The docker containers com.docker.compose.service name
# $2: The docker inspect json
# Returns:
# Exit code 0 on success, ... | true |
8993af07718c5b96fa1d9ceeca250792298f6486 | Shell | Beramos/Snippets | /lifeHackScripts/convertPDF2PNG.sh | UTF-8 | 173 | 2.953125 | 3 | [] | no_license | # !/bin/bash
# This script uses the convert function from imagemagick
for f in *.pdf; do
convert -density 600x600 -resize 1920x1080 -quality 90 "$f" "${f%.pdf}.png"
done
| true |
926680baddbb0adee15742b8f86cb29677761003 | Shell | lifenoodles/robo-sumo | /scripts/build.sh | UTF-8 | 1,020 | 3.65625 | 4 | [] | no_license | #!/usr/bin/env bash
if [ "$#" == "0" ] || [ "$#" -gt "2" ]; then
echo "Usage: build [robot-id]"
exit 0
fi
CURRENT=$(pwd)
BASENAME=$(basename $CURRENT)
while [ $BASENAME != "robo-sumo" ]; do
cd ..
CURRENT=$(pwd)
BASENAME=$(basename $CURRENT)
done
cd src
debug="0"
sumo_id=""
flags=
while [ "$#" -g... | true |
b1526dbf2501f9168d1ed7d9e9839f0c9a691bda | Shell | liuqi605752176/HuaQing-Note | /7.shell以及makefile/1/expr.sh | UTF-8 | 90 | 2.90625 | 3 | [] | no_license | read var1
read var2
#符号的左右必须有空格
ret=`expr $var1 \* $var2`
echo $ret
| true |
b5b91950c61a014eccf7a09853a290347c2a56bd | Shell | dhrishi/distributed-compliance-ledger | /genlocalnetconfig.sh | UTF-8 | 6,153 | 2.78125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright 2020 DSR Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | true |
ea97bcff9a6c69a99d5031bbcacf9ed6afb17dff | Shell | jlamalop/kolla | /tools/stop-all-pods | UTF-8 | 557 | 3.484375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
cd $(git rev-parse --show-toplevel)
# Delete the replication is not cleaning up its pods
# These pods need to be deleted according to their UUID
uuids=$(kubectl get pods -o json | jq '.[][].id' 2>/dev/null | grep -o -E '"[a-fA-F|0-9|\-]*' | cut -c 2- | grep '\-')
for uuid in $uuids; do
if [ $uuid ]; t... | true |
50265092bb374b7a183f50c6213f377da8ffe650 | Shell | rozzzly/rozfiguration | /configs/misc/run-for-x-min-then-kill.sh | UTF-8 | 213 | 2.515625 | 3 | [] | no_license | #!/bin/bash
source ./setup.sh
#n=5
#./tesh.sh &
#pid=$!
#at now + $n minutes <<<"kill -HUP $pid"
#echo "after derp"
# http://stackoverflow.com/questions/4423934/bash-run-a-command-for-n-minutes-then-sighup-it
| true |
cb373980ad933cd16dfc7438c4cfb45810e71028 | Shell | nikkoenggaliano/AlProg | /bash/random.sh | UTF-8 | 129 | 2.640625 | 3 | [] | no_license | #!/bin/bash
read -p "input minimum value -> " min
read -p "input maximum value -> " max
echo "Result : ";shuf -i $min-$max -n 1
| true |
450b82b126464c3139bfff5e98d56b4a15ce0f82 | Shell | bdecoste/proxy-rpm | /istio-proxy/recipes/boringssl.sh | UTF-8 | 521 | 2.84375 | 3 | [] | no_license | #!/bin/bash
set -e
#COMMIT=a20bb7ff8bb5057065a2e7941249773f9676cf45 # chromium-64.0.3282.119
#git clone https://boringssl.googlesource.com/boringssl
#cd boringssl
#git reset --hard "$COMMIT"
cp -rf ${RPM_BUILD_DIR}/istio-proxy/boringssl .
cd boringssl
cmake -DCMAKE_CXX_FLAGS:STRING="${CXXFLAGS} ${CPPFLAGS}" \
-... | true |
25a1a7d3b32363e541bb77e042e4a91a2d718ecd | Shell | 0dataexpert0/openvpn-docker-alpine | /init.sh | UTF-8 | 729 | 2.84375 | 3 | [] | no_license | #!/bin/sh
docker build . -t openvpn > /dev/null
if [ ! -d easy-rsa ]; then
git clone https://github.com/OpenVPN/easy-rsa.git
fi
cd easy-rsa/easyrsa3/
cp vars.example vars
if [ ! -d pki ]; then
./easyrsa init-pki
fi
if [ ! -f ../../volumes/keys/dh.pem ]; then
./easyrsa gen-dh
cp pki/dh.pem ../../volumes/k... | true |
16b5e65e35d50fb8bb82aed6f6f51037e9db3100 | Shell | Benoit-LAGUET/my-kubernetes-advanced-lab-02 | /Infrastructure/pre/create-aws-bucket.sh | UTF-8 | 749 | 3.25 | 3 | [] | no_license | #/bin/bash
BucketName=lab-terraformstate-bucket-02
Region=eu-central-1
AwsAccountId=`aws sts get-caller-identity --query 'Account' --output text`
aws s3api head-bucket --bucket $BucketName --expected-bucket-owner $AwsAccountId >/dev/null
BucketExist=$?
if [ $BucketExist -ne 0 ]
then
aws s3 mb s3://$BucketName \
... | true |
9c2abfc3464500a7ee4a994cd278bf54f3f6b9b0 | Shell | michel-rodrigues/viggio_infrastructure | /apply_cluster_manifests.sh | UTF-8 | 856 | 2.671875 | 3 | [] | no_license | #!/bin/sh
cd $(dirname $0)
kubectl apply -f redis/redis-data-persistentvolumeclaim.yaml
kubectl apply -f redis/redis-deployment.yaml
kubectl apply -f redis/redis-service.yaml
kubectl apply -f frontend/frontend-deployment.yaml
kubectl apply -f frontend/frontend-service.yaml
kubectl apply -f django/django-env-configmap.y... | true |
16991e5d5a37d31160a5bdb38b8a0068d55cc029 | Shell | 1qq1qq1/scripts | /use_mem.el7.sh | UTF-8 | 217 | 2.921875 | 3 | [] | no_license | #!/bin/sh
TOTAL=`free | grep ^Mem | awk '{print $2}'`
USED=`free | grep ^Mem | awk '{print $3}'`
BUCA=`free | grep ^Mem | awk '{print $6}'`
ACTUAL=`echo "100*($USED-$BUCA)/$TOTAL" | bc -l`
echo ACTUAL=${ACTUAL:0:5}%
| true |
f497bfc5b105f259d3483b83ba1d9ef91605d75a | Shell | pahomov-and/WebRTC_Camera | /build_webrtc.sh | UTF-8 | 3,300 | 3.609375 | 4 | [] | no_license | ROOT_DIR=$(pwd)
ARCH=amd64
case $1 in
amd64*|i386*|arm64*) echo "OK!"; ARCH=$1 ;;
*) echo "$0 [default amd64]|[i386]|[arm64]" ;;
esac
export PATH=$PATH:$ROOT_DIR/depot_tools
# export GYP_CROSSCOMPILE=1
NINJA_TARGET="webrtc rtc_json jsoncpp builtin_video_decoder_factory builtin_video_encoder_factory peerconnection... | true |
6d65a30f54b6f761c72fda5fe7f743e829e4b8e7 | Shell | Limoto/arch | /qgamex/PKGBUILD | UTF-8 | 547 | 2.5625 | 3 | [] | no_license | # Contributor: Jakub Luzny <limoto94@gmail.com>
pkgname=qgamex
pkgver=1.1.0
pkgrel=1
pkgdesc='Qt4 application to help you with launching games on separate X server'
arch=(i686 x86_64)
url="http://dolezel.info/projects/qgamex"
license=('GPL')
depends=('qt>=4.3.0')
source=(http://www.dolezel.info/sub/projekty/${pkgname}-... | true |
7fb015a3acfa0db83face24e4067c9f325e8dadf | Shell | MadPidgeon/Order-versus-Chaos | /table/generate_table.sh | UTF-8 | 881 | 3.4375 | 3 | [] | no_license | #!/bin/bash
mkdir -p data
# initialize the job pool
thread_count=4;
if [ $# -eq 1 ]; then
thread_count=$1
fi
. job_pool.sh
job_pool_init $thread_count 0
# run jobs
p="CHAOS"
cp=1
dims=(8 10 12)
lens=(6 7 8)
deps=(100000 100000 100000)
for a in ${!dims[@]}; do
w=${dims[$a]}
m=${lens[$a]}
d=${deps[$a]}
jobstr="... | true |
e8b1f3013241dbfdbf99c772c2d01d586ca96360 | Shell | gmccreight/mkbasebox | /create_vagrant_box_from_veewee_template.sh | UTF-8 | 2,901 | 4.21875 | 4 | [] | no_license | #!/bin/bash
# ./create_vagrant_box_from_veewee_template.sh
# Create a vagrant box using a veewee template
#------------------------------------------------------------------------------
# Configuration
#------------------------------------------------------------------------------
ruby_version="1.9.3"
veewee_templa... | true |
4282ba1d426c68b5412f03297f7ba29a5105ca8a | Shell | spyrosoft/shell-scripts | /software-development/upload-on-file-change | UTF-8 | 369 | 3.796875 | 4 | [] | no_license | #!/usr/bin/env bash
if [[ $# -ne 2 ]]; then
echo "Usage: $0 user@host:optional/path (no trailing slash) file-extension-expression"
else
upload_path=$1
file_extension_expression=\.${2}$
inotifywait --format "%f" -me close_write -q . | while read file
do
if [[ ! "$file" =~ $file_extension_expression ]]; then con... | true |
42f8f31122789a0829e51540fe65c73675aa744b | Shell | freebsd/freebsd-ports | /sysutils/swapmon/files/swapmon.in | UTF-8 | 605 | 3.328125 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
#
# swapmon - add / remove swap as needed
#
# PROVIDE: swapmon
# REQUIRE: LOGIN
# KEYWORD: shutdown
#
# Add the following lines to /etc/rc.conf to enable swapmon:
#
#swapmon_enable="YES"
#
. /etc/rc.subr
name=swapmon
rcvar=swapmon_enable
command="%%PREFIX%%/sbin/${name}"
command_interpreter="/bin/sh"
CON... | true |
f352e24f95947e500141f05f5de86f71950deb25 | Shell | shakfu/start-vm | /setup/ubuntu_17.10_artful-rlang.sh | UTF-8 | 21,658 | 3.15625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
COLOR_BOLD_YELLOW="\033[1;33m"
COLOR_BOLD_BLUE="\033[1;34m"
COLOR_BOLD_MAGENTA="\033[1;35m"
COLOR_BOLD_CYAN="\033[1;36m"
COLOR_RESET="\033[m"
CONFIG=config/artful
DEFAULT=default
CONFIG_DST=$HOME/.config
BIN=$HOME/bin
function recipe {
echo
echo -e $COLOR_BOLD_MAGENTA$1 $COLOR_RESET
echo... | true |
20ff2247ef19e02465900fb75d278d7ed3b9efb3 | Shell | brandonwkerns/lpt-python-public | /realtime/download_cmorph_rt.MASTER.sh | UTF-8 | 1,794 | 3.921875 | 4 | [] | no_license | #!/bin/bash
####### Download real time version of CMORPH.
ftpsite=ftp://ftp.cpc.ncep.noaa.gov/precip/CMORPH_RT/GLOBE/data
## Working directory is the root directory where data will be downloaded.
workdir=/path/to/keep/your/data
#######################################################################
cd $workdir
... | true |
e76732dd3ad83aec03c5cc912319351a68044519 | Shell | akbartk/docker-codeigniter-php71 | /docker-entrypoint | UTF-8 | 1,554 | 3.328125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
if [[ "$1" == apache2* ]] && [ "${FWD_REMOTE_IP,,}" == "true" ]; then
a2enmod remoteip -q
echo 'RemoteIPHeader X-Forwarded-For' > $APACHE_CONFDIR/conf-available/docker-ci-apache.conf
a2enconf docker-oc-apache -q
fi
if [ "${ENABLE_CRON,,}" == "true" ]; then
cron
echo 'Cron enabled.'
fi
if... | true |
a8900d5b63f2a773a497a0f260258ff7c7ee98da | Shell | dywisor/omir | /site/src/rootfs/base/FACTORY/site/share/netconfig/ifconfig-info.sh | UTF-8 | 1,149 | 3.59375 | 4 | [
"MIT"
] | permissive | #!/bin/sh
ifconfig_io_first_inet() {
# inet <addr> netmask <netmask> ..ignored..
# ignore IPv4 link-local adress 169.254.0.0/16
awk '($1 == "inet" && (!($2 ~ "^169[.]254[.]")) && $3 == "netmask") { print $2, $4; exit; }'
}
ifconfig_io_first_inet6() {
# inet6 <addr> prefixlen <prefixlen> ..ignored..
# ignore ... | true |
b7d160e5c3bbf1233f2f140001613d1479695929 | Shell | TechTinkerer42/Haiti | /aimir-web/src/main/webapp/kml/start.sh | UTF-8 | 1,619 | 3.015625 | 3 | [] | no_license | #!/bin/bash
cd `dirname $0`
echo `pwd`
JDBC_FILE=../WEB-INF/classes/jdbc.properties
JDBC_URL=`cat $JDBC_FILE | awk -F= '{if ($1=="jdbc.url") print $2}' | awk -F@ '{print $2}' | sed -e 's/\:/\//2' | sed 's/^[ \t]*//g' | sed 's/[ \t\r\n]*$//g'`
JDBC_PASS=`cat $JDBC_FILE | awk -F= '{if ($1=="jdbc.password") print $2}'... | true |
bbb024b4b629fe9b7d70afa2f9cea1fe50e46429 | Shell | litaxc/v2ray_bootstrap | /bootstrap.sh | UTF-8 | 802 | 2.859375 | 3 | [] | no_license | read -p "Enter your server's public IP: " __ADDRESS__
export __PATH__=$PWD
export __UUID__=$(uuidgen)
export V2RAY_LOCATION_ASSET=.
export V2RAY_LOCATION_CONFIG=./server
sudo apt-get update
sudo apt-get install -y unzip
curl -o v2ray.zip -L https://github.com/v2ray/v2ray-core/releases/download/v4.21.3/v2ray-linux-64... | true |
95afb74ead874382825e157af54975a8dffaf558 | Shell | lhfei/cluster-conf | /db-scripts/tv_report/get_tv_report_ddl.sh | UTF-8 | 537 | 3.796875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
schema="tv_report";
getArray() {
local i=0
array=() # Clear array
while IFS= read -r line # Read a line
do
array+=( "$line" ) # Append line to the array
done < "$1"
}
getArray "./${schema}-tables-list.txt"
for tname in "${array[@]}"
do
echo "===== [${schema}.$tname] start loadi... | true |
40cfe4ecaa9f5fc3db785f99fe81b71423d8a344 | Shell | drake7707/openvpn-cluster | /openvpn-server/service/run_server | UTF-8 | 943 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -x
mkdir -p /data && cd /data
if [[ ! -d "/data/pki" ]]; then
/usr/share/easy-rsa/easyrsa --batch init-pki
/usr/share/easy-rsa/easyrsa --req-cn=openvpn-server --batch build-ca nopass
/usr/share/easy-rsa/easyrsa --keysize=${VPN_KEYSIZE:-2048} --batch gen-dh
openvpn --genkey --secret /data/pki/ta... | true |
fcec2852dec593aaed5ff8c46c640781974ffb42 | Shell | AlexDosch1/Biocomp-Exercise06 | /hwk6.sh | UTF-8 | 890 | 3.125 | 3 | [] | no_license | #Part 1:writes file with unique gender-years-experience combinations in wages.csv
#Part 2:prints info for highest and lowest earners and number of females in top ten
#Part 3:effect of graduating college on min wage
#Usage: bash hwk6.sh wages.csv
#Part 1
cat wages.csv | grep -v "gender" | cut -d, -f 1,2 | sort -d | un... | true |
4e7740fab15dd9654c0da8db9c2d3e7b5bcf2835 | Shell | SpicyGator/invert_terminator | /invert_term.sh | UTF-8 | 745 | 3.46875 | 3 | [] | no_license | #!/bin/bash
#Script used to change terminator colors.
CONFIG=~/.config/terminator/config
DARK_FG="\"#ffffff\""
DARK_BG="\"#333333\""
LIGHT_FG="\"#000000\""
LIGHT_BG="\"#ffffff\""
CURRENT=$(grep -e "foreground_color\ =\ " $CONFIG)
if [[ $CURRENT == " foreground_color = $LIGHT_FG" ]]; then
sed -i.bak "s/foregr... | true |
0d5f0e8d2c03d4ad2244348143c3eb37166beb85 | Shell | alshamiri5/cos-toolbox | /cos-kernel | UTF-8 | 17,156 | 4 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# This script fetches $FILES_TO_FETCH (kernel headers, source, toolchain,
# ...) of a specific COS release and installs them for compiling,
# debugging, etc. See usage() for details.
#
# This script is meant to run in COS toolbox or inside a cos-toolbox
# container.
#
set -eu
set -o pipefail
# Progra... | true |
519291006c700ef2297498a023a60083cb99cf5d | Shell | KainosGurung/shellscripts | /misc/drinking_age.sh | UTF-8 | 531 | 3.59375 | 4 | [] | no_license | #! /bin/bash
echo "Hello $USER, How old are you?"
while [ true ]; do
read input
#if the input is an integer, break
if [[ $input =~ ^[0-9]+$ ]]; then
break
fi
echo "Please input a positive integer"
done
if [[ $input -ge "16" ]]; then
echo "Congratulations! You are of legal age to drink alcohol."
if [[ $in... | true |
667079613bf7a8d9a6395dd6770f0d227b8644e4 | Shell | kartoza/docker-mapserver | /setup.sh | UTF-8 | 2,407 | 2.84375 | 3 | [] | no_license | #!/bin/bash
#Install curl from source
if [[ ! -f /tmp/resources/curl-7.50.0.tar.gz ]]; then \
wget -c https://curl.haxx.se/download/curl-7.50.0.tar.gz -P /tmp/resources/; \
fi;\
cd /tmp/resources && \
tar -zxvf curl-7.50.0.tar.gz && \
cd curl-7.50.0 && \
./configure --with-ssl=/usr/local/ssl --enable-ares --enable-v... | true |
9b0192ada50efbdc85c512539096394d84df05ce | Shell | namsseng/nsstack_allinone_test | /nsstack_heat.sh | UTF-8 | 2,019 | 3.265625 | 3 | [] | no_license | #!/bin/bash
# Make sure only root can run our script
if [ "$(id -u)" != "0" ]; then
echo "You need to be 'root' dude." 1>&2
exit 1
fi
. ./nsstack_setuprc
password=$OS_PASSWORD
managementip=$OS_SERVICE_IP
hostname=$OS_HOST_NAME
apt-get install -y heat-api heat-api-cfn heat-engine
sleep 5
sed -e "
/^co... | true |
5813b1ca4942b4d5e121caa41a434392694527c1 | Shell | luicahleo/scriptsSTA | /P05/instalar-java.sh | UTF-8 | 286 | 2.71875 | 3 | [] | no_license | PRACTICA="P05"
ACTUAL=`pwd` && cd `dirname $0` && ORIGEN=`pwd` && cd ${ACTUAL}
DIRRAIZ=${ORIGEN}"/"
JDK=java-1.7.0-openjdk-devel
echo "Instalando paquete Java..."
#yum install ${JDK}
echo "Verificando que la instalacion del paquete Java ha sido correcta..."
/usr/bin/java -version
| true |
2f6dfab92b6de0199a1f9af04aaddafbf71cf15c | Shell | gmoben/dotfiles | /.local/bin/i3-battery-monitor | UTF-8 | 1,895 | 3.578125 | 4 | [] | no_license | #!/bin/bash
# Modified from https://github.com/arjvik/dots/blob/master/i3/bin/i3-battery-monitor
BATTERY="BAT0"
FULL=${4:-100}
LOW=${3:-15}
CRITICAL=${2:-5}
SUSPEND=${1:-3}
# Kill other instances of i3-battery-monitor
if pids=$(pidof -x $0 -o $$); then
kill $pids 2>/dev/null
fi
# log "Parameters: FULL=$FULL LOW=... | true |
e443cf4ae2c64093b655884eb6275839540bbcef | Shell | BastianHavers/ananke | /reproduce/figure18.sh | UTF-8 | 988 | 3.609375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
. shared_vars.sh
EXPERIMENT_NAME="synthetic2"
OUTPUT_DATA_FOLDER="${COMMIT_HASH}"_"${EXPERIMENT_NAME}"
cd ..
echo "Reproduce Fig. 18 in two steps:"
echo " 1) run the underlying experiment"
echo " 2) plot the experiment data"
test -d "${OUTPUT_PATH}/${OUTPUT_DATA_FOLDER}" && { echo "--------"; echo W... | true |
58fe113f064a6dd371cf93d23df1f80318278a37 | Shell | vestige-java/vestige.unix | /standard_edition_linux_desktop_python3_rpm/build | UTF-8 | 1,490 | 2.8125 | 3 | [] | no_license | #!/bin/bash
VESTIGE_RPM_VERSION=$(cat src/vestige-desktop-python3.spec | grep "Version:" | sed 's/Version:[ \t]*//g')
rm -r target
mkdir -p target/vestige-desktop-python3-$VESTIGE_RPM_VERSION
cp src/Makefile target/vestige-desktop-python3-$VESTIGE_RPM_VERSION/
cp src/vestige-desktop-python3.spec target/
cp -r ../stan... | true |
4a09eb3919d6d1aedad864ebdb03f820a4a9635c | Shell | bruceauyeung/quickquest | /quickquest.sh | UTF-8 | 909 | 3.140625 | 3 | [] | no_license | #!/bin/sh
LONG_BIT=`getconf LONG_BIT`
if [ "$LONG_BIT" == "32" ];then
USR_LIB_PATH="/usr/lib";
else
USR_LIB_PATH="/usr/lib64";
fi
QUICKQUEST_PROG_DIR=$(dirname $0);
export LD_LIBRARY_PATH=$QUICKQUEST_PROG_DIR/jnotify-linux$LONG_BIT/:$QUICKQUEST_PROG_DIR/qtjambi-linux$LONG_BIT/:$LD_LIBRARY_PATH;
JAVA_CLASSPATH="$QUI... | true |
04933fd086bdb7a48a9db89345fe5768ce246302 | Shell | yyotti/dotfiles | /config/zsh/zshrc | UTF-8 | 1,805 | 3.015625 | 3 | [] | no_license | function __zcompile() # {{{
{
local _src=${1}
local _zwc=${_src}.zwc
if [[ ! -f ${_zwc} ]] || [[ ${_src} -nt ${_zwc} ]]; then
zcompile "${_src}"
fi
} # }}}
__zcompile "${ZDOTDIR}/.zshrc"
__zcompile "${ZDOTDIR}/rc.d/_asdf.zsh" && source "${ZDOTDIR}/rc.d/_asdf.zsh"
if [[ ${WSL_DISTRO_NAME} != '' ]] && [[ ... | true |
d4348971e140e617698fba152626103170cda3c5 | Shell | usgs-coupled/phreeqci | /phreeqc3/test/ex20b | UTF-8 | 150 | 2.75 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #! /bin/sh
# Test ex20b
NAME=ex20b
DB=iso.dat
: ${PHREEQC=phreeqc}
${PHREEQC} $DATADIR/$NAME $NAME.out $DBDIR/$DB $NAME.log
result=$?
exit $result
| true |
16b35d6f50f0c6307235559d7ff01e4aabdb95c4 | Shell | cha63506/chromium-capsicum | /tools/wine_valgrind/chrome_tests.sh | UTF-8 | 22,880 | 3.359375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
# chromium-runtests.sh [testsuite]
# Script to run a respectable subset of Chromium's test suite
# (excepting parts that run the browser itself, and excepting layout tests).
# Run from parent of src directory.
# By default, runs all test suites. If you specify one testsuite
# (e.g. base_unittests), it only r... | true |
c21ada1c5fb30d93da943f8be488a6da8de4b733 | Shell | LadyNightmare/SistemasOperativos | /Practicas/scripts/done/backup2.sh | UTF-8 | 331 | 3.65625 | 4 | [] | no_license | #!/bin/bash
#Autora: Cristina Díaz García
#Grupo: Informática D
for i in $@
do
if [ ! -f "$i" ]
then
echo $i no existe
else
A=$(ls $i* | wc -w)
if [ $A -ge 9 ]
then
echo “Se ha superado el número máximo de versiones”
else
Num=`expr $A + 1`
Date=`date +%y%m%d`
Version=${Date}_$i
cp $i $Vers... | true |
8b0e7caf5896d0a55d00c29ef7958774022dad7f | Shell | max-linux/max-desktop | /max-skel-conf/usr/share/max/25_windows_uefi | UTF-8 | 1,510 | 3.4375 | 3 | [] | no_license | #!/bin/sh
set -e
# wget https://gist.github.com/raw/4330598/adaf598a78d568dbfada596441bdfad3b4dd3f97/25_windows_uefi
# Probe for UEFI entries in EFI system partition
prefix="/usr"
exec_prefix="${prefix}"
datarootdir="${prefix}/share"
export TEXTDOMAIN=grub
export TEXTDOMAINDIR="${datarootdir}/locale"
. "${datarootdi... | true |
bc77fb983b7dcc2228a76119b3c53e794416dfc5 | Shell | sendanor/nor-nopg-cli | /examples/event-scripts/update-description.sh | UTF-8 | 435 | 3.171875 | 3 | [
"MIT"
] | permissive | #!/bin/bash -x
# NOPG_EVENT_ID
# NOPG_EVENT_NAME
# NOPG_EVENT_TYPE
set -e
test -n "$NOPG_TR"
test -n "$NOPG_EVENT_ID"
export NOPG_TR=''
TR=''
function finish {
status="$?"
test -n "$TR" && nopg -b -q "$TR" rollback
exit "$status"
}
trap finish EXIT
TR="$(nopg -b -q start)"
test -n "$TR"
nopg -b -q "$T... | true |
ab7b9d3c3087b0fd7303d8a308083b4da18a084f | Shell | harshjoeyit/BJP | /Bash/filetest.sh | UTF-8 | 822 | 3.625 | 4 | [] | no_license |
#! /usr/bin/bash
# -e interprets the escape sequences
# \c keeps the cursor on the same line
echo -e "Enter the name of the file : \c"
read file_name
# using the \" escape sequence
# -e is flag for if the file exist s ir not
if [ -e $file_name ]
then
echo -e "\"$file_name\" found"
else
echo -e "\"$fil... | true |
0746e1076bc28a95ff0d6011675e5d2510cd8110 | Shell | dai-ndebuhr/cloud-native-workstation | /opa/gatekeeper.sh | UTF-8 | 1,027 | 3.375 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"MIT"
] | permissive | #!/usr/bin/env bash
kubectl apply -f https://raw.githubusercontent.com/open-policy-agent/gatekeeper/release-3.5/deploy/gatekeeper.yaml
kubectl apply -f kubernetes/constraint-templates.yaml
count=0
echo "Constraint Template CRDs: Creating..."
# Wait up to (approximately) three minutes for CRD registration
while [ $cou... | true |
11a3a510bf0b1def65e4b3f3b872e9e4f326bbde | Shell | OliverJaas/bash_skriptimine | /kasutajad_paroolid_eraldatud | UTF-8 | 589 | 3.40625 | 3 | [] | no_license | #!/bin/bash
#
# loob kaks faili milles ühes on kasutajanimed teises paroolid
if [ $# -ne 2 ]; then
echo "Kasutusjuhend: $0 kasutajad paroolid"
else
kasutajad=$1
paroolid=$2
if [ -f $kasutajad -a -r $kasutajad ] && [ -f $paroolid -a -r $paroolid ]; then
echo "Fail töötab vastavalt skriptile"
for rida i... | true |
823925a93879a7d28852129b5ce344fee87e627b | Shell | ziman/baltrad-merge | /src/merge.sh | UTF-8 | 1,116 | 2.515625 | 3 | [] | no_license | #!/bin/bash
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/rave/lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/rave/Lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/rsl/lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/vol2bird/lib"
LD_LIBRARY_PATH="${LD_LI... | true |
0006ad80d18d7b908b4dea748997d1804579a5e7 | Shell | molecul/sslstrip-hsts-openwrt | /INSTALL.sh | UTF-8 | 1,832 | 3.59375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# 18.01.2018 - Adaptate for GL-AR300M
# Installation script for SSLstrip2 + DNS2proxy for the WiFi Pineapple NANO + TETRA.
# I consider this a dirty fix to get sslstrip2 running. It's needed because the upstream libraries are not up to date.
#
# Written by: Andreas Nilsen - adde88@gmail.com - https://www.... | true |
3bc9077ed44d0fb6f843170858e4184da4671b37 | Shell | gchen98/mendel-gpu | /bin/loop_phasing.sh | UTF-8 | 514 | 3.4375 | 3 | [] | no_license | #!/bin/bash
if [ $# -lt 4 ] ; then
echo "Usage <dbname> <use X?[1|0]> <person_chunk_start> <person_chunk_end>"
exit 1
fi
dbname=$1
useX=$2
chunk_start=$3
chunk_end=$4
if [ $useX -eq 1 ] ; then
chroms='1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 X'
elif [ $useX -eq 0 ] ; then
chroms='22'
#chrom... | true |
52fbefaa0091ec374b7617438e8614217044b261 | Shell | tokageel/dotfiles | /.config/git/hooks/prepare-commit-msg | UTF-8 | 457 | 3.546875 | 4 | [] | no_license | #!/bin/sh
COMMIT_MSG_FILE=$1
COMMIT_SOURCE=$2
SHA1=$3
# do not process if ammend commit
if [ -n "$(head -n1 $COMMIT_MSG_FILE)" ]; then
exit 0
fi
# get issue number
BRANCH_NAME=$(git rev-parse --abbrev-ref HEAD)
ISSUE_NUM=$(echo $BRANCH_NAME | sed -e 's_feature/#\([0-9][0-9]*\)[^0-9]*_\1_g')
# do not process if i... | true |
bd2d6e7ea80bd1ec77176c3c1fef58f6a0d02528 | Shell | bioinf/bi2014-mycoplasma-genitalium | /scripts/goblast.sh | UTF-8 | 229 | 2.828125 | 3 | [] | no_license | #!/bin/bash
genomes=$(ls ./genomes)
query=sample_proteins.fa
for gen in ${genomes}
do
db=db_"$gen"
makeblastdb -in ./genomes/${gen} -out ${db} -dbtype nucl
tblastn -query ${query} -db ${db} -outfmt 7 -out result_"$gen"
done
| true |
c8a7550028c8e898e4f0bdb8176a0c8182379323 | Shell | lpswj/Linux | /ch02/example.sh | UTF-8 | 313 | 3.359375 | 3 | [] | no_license | #!/bin/bash
echo "Is it morning?Please answer yes or no"
read timeofday
if [ "$timeofday" = "yes" ];then
echo -n "Good morning"
elif [ "$timeofday" = "no" ];then
echo -n "Good afternoon"
else
echo -n "Sorry,$timeofday not recognized.Enter yes or no"
#printf "sorry ,not recognized";
exit 1
fi
exit 0
| true |
04e6d87cb75d9778b8d329c2b7bdf02301201f16 | Shell | manasmbellani/athena-tools | /pentest_lateralmovt/remove_http_server.sh | UTF-8 | 395 | 2.796875 | 3 | [] | no_license | # !/bin/bash
#
# Script kills the running HTTP servers via python launched with http.server &
# SimpleHTTPServer using pkill
#
# Examples:
# To launch HTTP service on port 1433 in the folder /tmp:
# ./invoke_http_server.sh 1433 /tmp
echo "[*] Removing all running HTTP/HTTPS Servers running in the backgrou... | true |
ad670658607f367ac2b8b70a6dbeedea77d48aa5 | Shell | ay65535/gitlab-installer | /install-gitlab.sh | UTF-8 | 2,612 | 4.09375 | 4 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
# Copyright (c) 2013-2016 Tuomo Tanskanen <tuomo@tanskanen.org>
# Usage: Copy 'gitlab.rb.example' as 'gitlab.rb', then 'vagrant up'.
set -ex
# these are normally passed via Vagrantfile to environment
# but if you run this on bare metal they need to be reset
GITLAB_HOSTNAME=${GITLAB_HOSTNAME:-127.... | true |
834298ce3aaf3ec2571a8d19b1539fd7147e4858 | Shell | mrodden/redstone | /tools/test_cli.sh | UTF-8 | 702 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# usage: test_cli.sh
# Set IBMCLOUD_API_KEY and KEY_CRNS to use
error() {
[ -n "$1" ] && echo "$*" >&2
}
die() {
error "$*"
exit 1
}
cat setup.py | python -m redstone.crypto encrypt --key-crns "$KEY_CRNS" - | python -m redstone.crypto decrypt -
[ $? -eq 0 ] || die "test 1 failed"
RSCRYPTO_K... | true |
666e11b32f576722617e914ed5709ff3b737879f | Shell | ttytyper/dotfiles | /.bash_profile | UTF-8 | 3,941 | 3.59375 | 4 | [] | no_license | # bash_profile:
if [ -n "${BASH_VERSION}" ] ; then
use_color=false
safe_term=${TERM//[^[:alnum:]]/.} # sanitize TERM
if [[ -f /etc/DIR_COLORS ]] ; then
grep -q "^TERM ${safe_term}" /etc/DIR_COLORS && use_color=true
elif type -p dircolors >/dev/null ; then
if dircolors --print-database | grep -q "^TERM ${safe_t... | true |
73bfdeef07fa67cf7c04780f70845fb7509ccda5 | Shell | LCTT/lctt-scripts | /remove_DMCA.sh | UTF-8 | 279 | 2.859375 | 3 | [] | no_license | #!/bin/bash
set -e
source $(dirname "${BASH_SOURCE[0]}")/base.sh
cd "$(get-lctt-path)/sources"
domain="$1"
git checkout -b "$domain"
git grep -l "$domain"|while read file; do git rm "$file"; done
git commit -a -m "remove $domain"
git push -u origin "$domain"
git checkout master
| true |
1475f539042081cf727a6f1af7a34cf447b1279d | Shell | cppforlife/cockroachdb-release | /jobs/smoke-tests/templates/run | UTF-8 | 2,228 | 3.46875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
echo "`date`: Configure certs directory"
certs_path=/var/vcap/data/smoke-tests/certs
rm -rf $certs_path
mkdir -p $certs_path
cp /var/vcap/jobs/smoke-tests/config/certs/* $certs_path/
mv $certs_path/client.crt $certs_path/client.<%= p("user") %>.crt
mv $certs_path/client.key $certs_path/client.<%= ... | true |
1e7798d09028ef1f8a0a937cdcc1caec759ae403 | Shell | guenther-brunthaler/usr-local-bin-xworld-jv3gwuidf2ezyr5vbqavqtxyh | /roman-numerals-to-decimal | UTF-8 | 1,388 | 3.578125 | 4 | [] | no_license | #! /bin/sh
# Convert roman numerals (in either letter case) into decimal values. All
# variants mentioned in the Wikipedia article are supported.
#
# Version 2017.346.2
#
# Copyright (c) 2017 Guenther Brunthaler. All rights reserved.
#
# This script is free software.
# Distribution is permitted under the terms of the L... | true |
2afcb9b585d7981c83c409a9bbfb80606af72797 | Shell | envoylabs/cosmos-autostaking | /auto_delegate.sh | UTF-8 | 729 | 3.65625 | 4 | [] | no_license | #!/bin/bash
usage() { echo "Usage: $0 [-p <string>]" 1>&2; exit 1; }
while getopts ":p:" option; do
case "${option}" in
p)
p=${OPTARG}
;;
*)
usage
;;
esac
done
shift $((OPTIND-1))
if [[ -z "${p}" ]]; then
p="${PWD}/.profile"
fi
source ${p}
... | true |
377e409253f376ba3bb933c6e71e4f08a8b0e4a2 | Shell | ronzyfonzy/server-provisions | /manifests/php.sh | UTF-8 | 1,110 | 4.15625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source "${CURRENT_DIR}/../common/base.sh"
###
# Variables
###
###
# Input checker
###
while [[ $# -gt 0 ]]
do
key="$1"
case $key in
-h | --help)
PROCESS="help"
;;
-i | --install)
PROCESS="install"
;;
-d | --d... | true |
b227633c8c2a3aa42d944e172ecce9ac5dde8c76 | Shell | avatao-content/challenge-toolbox | /entrypoint.sh | UTF-8 | 1,312 | 3.859375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
# This script can be used as an entrypoint for build jobs
# or it can be "sourced" without parameters. Supports POSIX shells.
set -aeuo pipefail
if [ -e "$(dirname "$0")/.env" ]; then
source "$(dirname "$0")/.env"
fi
if [ -e ".env" ]; then
source ".env"
fi
# Support Google Cloud Build
if [ -n "${PROJEC... | true |
66a592b09c64f14612b723c8ba32e84959af480e | Shell | rfjakob/gocryptfs | /tests/dl-linux-tarball.bash | UTF-8 | 636 | 4.34375 | 4 | [
"MIT"
] | permissive | #!/bin/bash -eu
#
# This script checks the size of /tmp/linux-3.0.tar.gz and downloads
# a fresh copy if the size is incorrect or the file is missing.
URL=https://cdn.kernel.org/pub/linux/kernel/v3.0/linux-3.0.tar.gz
TGZ=/tmp/linux-3.0.tar.gz
SIZE_WANT=96675825
SIZE_ACTUAL=0
if [[ -e $TGZ ]]; then
if [[ $OSTYPE == l... | true |
4a4b3556a2b6e00e0254c8bd35b228d6a087a1d5 | Shell | maverickcasanova/things | /scripts/battery_watchdog | UTF-8 | 2,498 | 3.5625 | 4 | [] | no_license | #!/bin/sh
#
# battery_watchdog v0.2 - Shutdown (graceful or hardcore) system when battery is low.
#
# Copyright (c) 2011, Piotr Karbowski <piotr.karbowski@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are
# permitted provided that the following co... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.